curl --request POST \
--url https://api.usewave.co/api/v1/sequences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Cold Outreach - SaaS Founders",
"messages": [
"Hey {{firstname}}! Loved your recent post about {{icebreaker}}",
"{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}",
"Hey! I'm Yuvraj. \n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}"
],
"followUps": [
{
"message": "Hey! I'm Yuvraj. \n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}",
"delay": "1"
}
],
"actions": [
{
"delay_days": 0,
"like_count": 2
}
]
}
EOFimport requests
url = "https://api.usewave.co/api/v1/sequences"
payload = {
"name": "Cold Outreach - SaaS Founders",
"messages": ["Hey {{firstname}}! Loved your recent post about {{icebreaker}}", "{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}", "Hey! I'm Yuvraj.
{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.
{{icebreaker}}"],
"followUps": [
{
"message": "Hey! I'm Yuvraj.
{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.
{{icebreaker}}",
"delay": "1"
}
],
"actions": [
{
"delay_days": 0,
"like_count": 2
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Cold Outreach - SaaS Founders',
messages: [
'Hey {{firstname}}! Loved your recent post about {{icebreaker}}',
'{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}',
'Hey! I\'m Yuvraj. \n{{If you\'re looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}'
],
followUps: [
{
message: 'Hey! I\'m Yuvraj. \n{{If you\'re looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}',
delay: '1'
}
],
actions: [{delay_days: 0, like_count: 2}]
})
};
fetch('https://api.usewave.co/api/v1/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usewave.co/api/v1/sequences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Cold Outreach - SaaS Founders',
'messages' => [
'Hey {{firstname}}! Loved your recent post about {{icebreaker}}',
'{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}',
'Hey! I\'m Yuvraj.
{{If you\'re looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.
{{icebreaker}}'
],
'followUps' => [
[
'message' => 'Hey! I\'m Yuvraj.
{{If you\'re looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.
{{icebreaker}}',
'delay' => '1'
]
],
'actions' => [
[
'delay_days' => 0,
'like_count' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usewave.co/api/v1/sequences"
payload := strings.NewReader("{\n \"name\": \"Cold Outreach - SaaS Founders\",\n \"messages\": [\n \"Hey {{firstname}}! Loved your recent post about {{icebreaker}}\",\n \"{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}\",\n \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\"\n ],\n \"followUps\": [\n {\n \"message\": \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\",\n \"delay\": \"1\"\n }\n ],\n \"actions\": [\n {\n \"delay_days\": 0,\n \"like_count\": 2\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.usewave.co/api/v1/sequences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Cold Outreach - SaaS Founders\",\n \"messages\": [\n \"Hey {{firstname}}! Loved your recent post about {{icebreaker}}\",\n \"{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}\",\n \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\"\n ],\n \"followUps\": [\n {\n \"message\": \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\",\n \"delay\": \"1\"\n }\n ],\n \"actions\": [\n {\n \"delay_days\": 0,\n \"like_count\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usewave.co/api/v1/sequences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Cold Outreach - SaaS Founders\",\n \"messages\": [\n \"Hey {{firstname}}! Loved your recent post about {{icebreaker}}\",\n \"{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}\",\n \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\"\n ],\n \"followUps\": [\n {\n \"message\": \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\",\n \"delay\": \"1\"\n }\n ],\n \"actions\": [\n {\n \"delay_days\": 0,\n \"like_count\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"messages": [
"<string>"
],
"followUps": [
{
"message": "Hey! I'm Yuvraj. \n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}",
"delay": "1"
}
],
"actions": [
{
"action_type": "FOLLOW_FIRST",
"delay_days": 0,
"like_count": 2
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}Create Sequence
Create a new outreach sequence with initial DM variations, scheduled follow-ups, and optional warm-up action steps.
curl --request POST \
--url https://api.usewave.co/api/v1/sequences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Cold Outreach - SaaS Founders",
"messages": [
"Hey {{firstname}}! Loved your recent post about {{icebreaker}}",
"{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}",
"Hey! I'm Yuvraj. \n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}"
],
"followUps": [
{
"message": "Hey! I'm Yuvraj. \n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}",
"delay": "1"
}
],
"actions": [
{
"delay_days": 0,
"like_count": 2
}
]
}
EOFimport requests
url = "https://api.usewave.co/api/v1/sequences"
payload = {
"name": "Cold Outreach - SaaS Founders",
"messages": ["Hey {{firstname}}! Loved your recent post about {{icebreaker}}", "{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}", "Hey! I'm Yuvraj.
{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.
{{icebreaker}}"],
"followUps": [
{
"message": "Hey! I'm Yuvraj.
{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.
{{icebreaker}}",
"delay": "1"
}
],
"actions": [
{
"delay_days": 0,
"like_count": 2
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Cold Outreach - SaaS Founders',
messages: [
'Hey {{firstname}}! Loved your recent post about {{icebreaker}}',
'{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}',
'Hey! I\'m Yuvraj. \n{{If you\'re looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}'
],
followUps: [
{
message: 'Hey! I\'m Yuvraj. \n{{If you\'re looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}',
delay: '1'
}
],
actions: [{delay_days: 0, like_count: 2}]
})
};
fetch('https://api.usewave.co/api/v1/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usewave.co/api/v1/sequences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Cold Outreach - SaaS Founders',
'messages' => [
'Hey {{firstname}}! Loved your recent post about {{icebreaker}}',
'{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}',
'Hey! I\'m Yuvraj.
{{If you\'re looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.
{{icebreaker}}'
],
'followUps' => [
[
'message' => 'Hey! I\'m Yuvraj.
{{If you\'re looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.
{{icebreaker}}',
'delay' => '1'
]
],
'actions' => [
[
'delay_days' => 0,
'like_count' => 2
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usewave.co/api/v1/sequences"
payload := strings.NewReader("{\n \"name\": \"Cold Outreach - SaaS Founders\",\n \"messages\": [\n \"Hey {{firstname}}! Loved your recent post about {{icebreaker}}\",\n \"{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}\",\n \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\"\n ],\n \"followUps\": [\n {\n \"message\": \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\",\n \"delay\": \"1\"\n }\n ],\n \"actions\": [\n {\n \"delay_days\": 0,\n \"like_count\": 2\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.usewave.co/api/v1/sequences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Cold Outreach - SaaS Founders\",\n \"messages\": [\n \"Hey {{firstname}}! Loved your recent post about {{icebreaker}}\",\n \"{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}\",\n \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\"\n ],\n \"followUps\": [\n {\n \"message\": \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\",\n \"delay\": \"1\"\n }\n ],\n \"actions\": [\n {\n \"delay_days\": 0,\n \"like_count\": 2\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usewave.co/api/v1/sequences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Cold Outreach - SaaS Founders\",\n \"messages\": [\n \"Hey {{firstname}}! Loved your recent post about {{icebreaker}}\",\n \"{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}\",\n \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\"\n ],\n \"followUps\": [\n {\n \"message\": \"Hey! I'm Yuvraj. \\n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\\n\\n{{icebreaker}}\",\n \"delay\": \"1\"\n }\n ],\n \"actions\": [\n {\n \"delay_days\": 0,\n \"like_count\": 2\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"messages": [
"<string>"
],
"followUps": [
{
"message": "Hey! I'm Yuvraj. \n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}",
"delay": "1"
}
],
"actions": [
{
"action_type": "FOLLOW_FIRST",
"delay_days": 0,
"like_count": 2
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}Authorizations
Enter your API key: wave_live_<token>
Body
Descriptive name of the sequence
1 - 120"Cold Outreach - SaaS Founders"
List of initial DM variations to randomize per recipient. Supports template variables and spintax. Available variables: {{firstname}} (first name), {{lastname}} (last name), {{name}} (full name), {{username}} (Instagram handle), {{icebreaker}} (personalized opener pulled from their profile), and spintax groups like {{Hey|Hello|Hi}} for randomized phrasing. Use \n for new lines inside the message.
5[
"Hey {{firstname}}! Loved your recent post about {{icebreaker}}",
"{{Hey|Hello|Hi}} {{firstname}}, quick question for you {{username}}",
"Hey! I'm Yuvraj. \n{{If you're looking to|Looking to|Want to}} build your website or startup, {{let me know|get in touch}}.\n\n{{icebreaker}}"
]
List of follow-up messages with delay intervals
Show child attributes
Show child attributes
Pre-DM actions (e.g. follow first, like posts)
Show child attributes
Show child attributes
Response
Successful Response
Sequence ID
Sequence name
Initial DM message templates. Supports template variables and spintax. Available variables: {{firstname}} (first name), {{lastname}} (last name), {{name}} (full name), {{username}} (Instagram handle), {{icebreaker}} (personalized opener pulled from their profile), and spintax groups like {{Hey|Hello|Hi}} for randomized phrasing. Use \n for new lines inside the message.
Follow-up templates
Show child attributes
Show child attributes
Associated actions
Show child attributes
Show child attributes